<xml> </xml>

IrrKlang.NET |

# ISoundEffectControl.EnableCompressorSoundEffect Method (Single, Single, Single, Single, Single, Single)

Enables the Compressor sound effect with default values. Compressor is a reduction in the fluctuation of a signal above a certain amplitude.

[Visual Basic]
Overloads Public Function EnableCompressorSoundEffect( _
ByVal fGain As Single, _
ByVal fAttack As Single, _
ByVal fRelease As Single, _
ByVal fThreshold As Single, _
ByVal fRatio As Single, _
ByVal fPredelay As Single _
) As Boolean
[C#]
public bool EnableCompressorSoundEffect(
float fGain,
float fAttack,
float fRelease,
float fThreshold,
float fRatio,
float fPredelay
);

#### Return Value

Returns true if successful.

#### See Also

ISoundEffectControl Class | IrrKlang Namespace | ISoundEffectControl.EnableCompressorSoundEffect Overload List